Subject: bug#32504: [PATCH] syntax-is-{comment|string}-p

From: Leo Liu <[email-masked]>
Date: Thu, 11 Jul 2019 13:11:33 +0800

On 2019-07-08 20:05 -0400, Noam Postavsky wrote:
> Well, for me I just want to stop having to look up the docstring of
> parse-partial-sexp every damn time I see (nth X PPSS).  But I wouldn't
> be against having syntax-is-comment/string-p which take a position as
> well.

syntax-ppss-context looks better. It is there for a long time and I have
personally used it many times (13 times in one of my projects).
Introduce a new set seems overkill at this point.

BTW, please don't name functions combining -is- and -p. They sound odd.